uudoc(1)

NAME
uudoc - Display or set the system's host name.

SYNOPSIS
uudoc [-d|--domain] [-i|--ip-address] [-f|--fqdn] [-s|--short] [-h|--help] [-V|--version] [host]

DESCRIPTION
Display or set the system's host name.

OPTIONS

-d, --domain
    Display the name of the DNS domain if possible

-i, --ip-address
    Display the network address(es) of the host

-f, --fqdn
    Display the FQDN (Fully Qualified Domain Name) (default)

-s, --short
    Display the short hostname (the portion before the first dot) if possible

-h, --help
    Print help

-V, --version
    Print version

[host]

EXTRA
Examples Show current host name: hostname Show the network address of the host name: hostname {{[-i|--ip-address]}} Show the FQDN (Fully Qualified Domain Name): hostname {{[-f|--fqdn]}} Set current host name: hostname {{new_hostname}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0